Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2261303 - libcaca: FTBFS in Fedora rawhide/f40
Summary: libcaca: FTBFS in Fedora rawhide/f40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcaca
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F40FTBFS PYTHON3.13
TreeView+ depends on / blocked
 
Reported: 2024-01-29 20:28 UTC by Fedora Release Engineering
Modified: 2024-03-29 00:17 UTC (History)
3 users (show)

Fixed In Version: libcaca-0.99-0.73.beta20.fc41 libcaca-0.99-0.73.beta20.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-20 16:29:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2024-01-29 20:28 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2024-01-29 20:28 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2024-01-29 20:28 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2024-01-29 20:28:12 UTC
libcaca failed to build from source in Fedora rawhide/f40

https://koji.fedoraproject.org/koji/taskinfo?taskID=112312439


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
Please fix libcaca at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libcaca will be orphaned. Before branching of Fedora 41,
libcaca will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2024-01-29 20:28:18 UTC
Created attachment 2012409 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2024-01-29 20:28:23 UTC
Created attachment 2012410 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2024-01-29 20:28:26 UTC
Created attachment 2012411 [details]
state.log

Comment 4 Fedora Update System 2024-03-20 16:23:47 UTC
FEDORA-2024-17dea35a88 (libcaca-0.99-0.73.beta20.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-17dea35a88

Comment 5 Fedora Update System 2024-03-20 16:23:51 UTC
FEDORA-2024-f4203f754d (libcaca-0.99-0.73.beta20.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-f4203f754d

Comment 6 Fedora Update System 2024-03-20 16:29:22 UTC
FEDORA-2024-17dea35a88 (libcaca-0.99-0.73.beta20.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-03-21 01:35:26 UTC
FEDORA-2024-f4203f754d has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-f4203f754d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-f4203f754d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-03-29 00:17:02 UTC
FEDORA-2024-f4203f754d (libcaca-0.99-0.73.beta20.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.